﻿namespace $safeprojectname$
{
	using System.Web.Optimization;
	public class BundleConfig
	{
		// For more information on bundling, visit http://go.microsoft.com/fwlink/?LinkId=301862
		public static void RegisterBundles(BundleCollection aBundleCollection)
		{
			aBundleCollection.Add(new ScriptBundle(virtualPath: "~/bundles/jquery").Include(
				virtualPath: "~/Scripts/jquery-{version}.js"));

			aBundleCollection.Add(new ScriptBundle(virtualPath: "~/bundles/jqueryval").Include(
				virtualPath: "~/Scripts/jquery.validate*"));

			// Use the development version of Modernizr to develop with and learn from. Then, when you're
			// ready for production, use the build tool at http://modernizr.com to pick only the tests you need.
			aBundleCollection.Add(new ScriptBundle(virtualPath: "~/bundles/modernizr").Include(
				virtualPath: "~/Scripts/modernizr-*"));

			aBundleCollection.Add(new ScriptBundle(virtualPath: "~/bundles/bootstrap").Include(
				virtualPaths: new string[]
				{
					"~/Scripts/bootstrap.js",
					"~/Scripts/respond.js"
				}));

			aBundleCollection.Add(new ScriptBundle(virtualPath: "~/bundles/lodash").Include(
				virtualPath: "~/Scripts/lodash.js"));

			aBundleCollection.Add(new ScriptBundle(virtualPath: "~/bundles/AjaxValidation").Include(
				virtualPath: "~/Scripts/AjaxValidation.js"));

			aBundleCollection.Add(new StyleBundle(virtualPath: "~/Content/css").Include(
				virtualPaths: new string[]
				{
					"~/Content/bootstrap.css",
					"~/Content/site.css"
				}));
		}
	}
}
