namespace $safeprojectname$.DependencyResolution
{
	using App_Start;
	using StructureMap.Web.Pipeline;
	using System.Web;

	public class StructureMapScopeModule : IHttpModule
	{
		#region Public Methods and Operators

		public void Dispose()
		{
		}

		public void Init(HttpApplication aContext)
		{
			aContext.BeginRequest += (aSender, aEventArgs) => StructuremapMvc.StructureMapDependencyScope.CreateNestedContainer();
			aContext.EndRequest += (aSender, aEventArgs) =>
			{
				HttpContextLifecycle.DisposeAndClearAll();
				StructuremapMvc.StructureMapDependencyScope.DisposeNestedContainer();
			};
		}

		#endregion
	}
}