namespace $safeprojectname$.Entities
{
	using System.Data.Entity;
	using System.Data.Entity.ModelConfiguration.Conventions;

	public class Model : DbContext
	{
		// Your context has been configured to use a 'Model' connection string from your application's 
		// configuration file (App.config or Web.config). By default, this connection string targets the 
		// '$safeprojectname$.Model' database on your LocalDb instance. 
		// 
		// If you wish to target a different database and/or database provider, modify the 'Model' 
		// connection string in the application configuration file.
		public Model()
				: base(nameOrConnectionString: "name=Model")
		{
		}

		// Add a DbSet for each entity type that you want to include in your model. For more information 
		// on configuring and using a Code First model, see http://go.microsoft.com/fwlink/?LinkId=390109.

		// public virtual DbSet<MyEntity> MyEntities { get; set; }
		public virtual DbSet<User> Users { get; set; }

		protected override void OnModelCreating(DbModelBuilder aDbModelBuilder)
		{
			aDbModelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
		}
	}
}