﻿namespace $safeprojectname$.Entities
{
	using System.Collections.Generic;

	public class ModelInitializer : System.Data.Entity.DropCreateDatabaseIfModelChanges<Model>
	{
		protected override void Seed(Model aModel)
		{
			base.Seed(aModel);

			var users = new List<User>
						{
								new User{FirstAndMiddleName="Carson"  ,LastName="Alexander" },
								new User{FirstAndMiddleName="Meredith",LastName="Alonso"    },
								new User{FirstAndMiddleName="Arturo"  ,LastName="Anand"     },
								new User{FirstAndMiddleName="Gytis"   ,LastName="Barzdukas" },
								new User{FirstAndMiddleName="Yan"     ,LastName="Li"        },
								new User{FirstAndMiddleName="Peggy"   ,LastName="Justice"   },
								new User{FirstAndMiddleName="Laura"   ,LastName="Norman"    },
								new User{FirstAndMiddleName="Nino"    ,LastName="Olivetto"  }
						};

			users.ForEach(aUser => aModel.Users.Add(aUser));
			aModel.SaveChanges();
		}
	}
}