﻿namespace $safeprojectname$.Entities
{
	using DelegateDecompiler;
	using System.ComponentModel.DataAnnotations;

	public class User
	{
		public int UserId { get; set; }

		public string LastName { get; set; }

		[Display(Name = "First Name")]
		public string FirstAndMiddleName { get; set; }

		[Computed]
		public string FullName
		{
			get
			{
				return LastName + ", " + FirstAndMiddleName;
			}
		}
	}
}