﻿namespace $safeprojectname$.Infrastructure.Mapping
{
	using AutoMapper;
	using StructureMap.Configuration.DSL;

	public class AutoMapperRegistry : Registry
	{
		public AutoMapperRegistry()
		{
			Scan(aAssemblyScanner =>
			{
				aAssemblyScanner.AssemblyContainingType<AutoMapperRegistry>();
				aAssemblyScanner.AddAllTypesOf<Profile>();
				aAssemblyScanner.WithDefaultConventions();
			});
		}
	}
}