﻿namespace $safeprojectname$.Infrastructure.Tags
{
	using HtmlTags;

	public static class HtmlTagExtensions
	{
		public static HtmlTag AddPlaceholder(this HtmlTag aHtmlTag, string aPlaceholder)
		{
			return aHtmlTag.Attr(attribute: "placeholder", value: aPlaceholder);
		}

		public static HtmlTag AddPattern(this HtmlTag aHtmlTag, string aPattern)
		{
			HtmlTag retVal = aHtmlTag.Data(key: "pattern", value: aPattern);
			return retVal;
		}

		public static HtmlTag AutoCapitalize(this HtmlTag aHtmlTag)
		{
			return aHtmlTag.Data(key: "autocapitalize", value: "true");
		}
	}
}